Bug 135078 - [maintainer update] [patch] apache22-peruser-mpm: dc2 -> dc3
Summary: [maintainer update] [patch] apache22-peruser-mpm: dc2 -> dc3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-30 16:10 UTC by Jille
Modified: 2009-06-02 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (76.48 KB, patch)
2009-05-30 16:10 UTC, Jille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jille 2009-05-30 16:10:03 UTC
Update the dc2 patch to the newer version: dc3


- added Lazy's fix for graceful restarts (thanks for that!)
- fixed chroot which was broken with dc2 patch.
- optional support for cgroups. This is good for monitoring user's 
memory and cpu usage (or even limiting it). Format inside <Processor> 
tag is: "Cgroup <cgroup directory>".
- the "request will not be honoured" error should now have more details 
about the processor and virtualhost.
- added "MaxSpareProcessors" directive. This tells the server to start 
killing idle children if there are more than MaxSpareProcessors of them. 
Should help to reduce memory usage, but it may also reduce server speed 
(and/or increase cpu usage) if the children keep dying and respawning 
all the time. Default is off.
- implemented the use of READY child status. This is used to get more 
accurate state of processors' and workers' status by manually setting it 
before accepting the new connection (and manually setting it to ACTIVE 
after we have received a connection). Not sure if it changes anything, 
but I think it's the cleaner way to go.
- the default ProcessorWaitTimeout was increased from 2 to 5.

Fix: Patch attached with submission follows:
Comment 1 Brad Davis freebsd_committer 2009-05-31 01:26:45 UTC
Responsible Changed
From-To: freebsd-www->freebsd-ports-bugs

Reassign to ports-bugs.
Comment 2 Pav Lucistnik freebsd_committer 2009-06-02 12:19:26 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2009-06-02 12:25:32 UTC
pav         2009-06-02 11:25:22 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22-peruser-mpm Makefile 
  Added files:
    www/apache22-peruser-mpm/files 
                                   httpd-2.2.3-peruser-0.3.0-dc3.patch 
  Removed files:
    www/apache22-peruser-mpm/files 
                                   httpd-2.2.3-peruser-0.3.0-dc2.patch 
  Log:
  - Update dc2 patch to dc3
  
  PR:             ports/135078
  Submitted by:   Jille Timmermans <jille@quis.cx> (maintainer)
  
  Revision  Changes    Path
  1.5       +5 -5      ports/www/apache22-peruser-mpm/Makefile
  1.2       +0 -844    ports/www/apache22-peruser-mpm/files/httpd-2.2.3-peruser-0.3.0-dc2.patch (dead)
  1.1       +1211 -0   ports/www/apache22-peruser-mpm/files/httpd-2.2.3-peruser-0.3.0-dc3.patch (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"